CCW_DEVICE_GET_CHP_D(9)

NAME
ccw_device_get_chp_desc - return newly allocated channel-path descriptor

SYNOPSIS

struct channel_path_desc * ccw_device_get_chp_desc(struct ccw_device * cdev, int chp_idx);

ARGUMENTS

cdev
    device to obtain the descriptor for

chp_idx
    index of the channel path

DESCRIPTION

On success return a newly allocated copy of the channel-path description data associated with the given channel path. Return NULL on error.

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT